Page MenuHomePhabricator

Remove use of jquery.autoEllipsis in mw.widgets.TitleOptionWidget
Closed, ResolvedPublic0 Story Points

Description

Upon inspection I see that the target element already has text-overflow: ellipsis; applied as well, so it seems it is already redundant.

Use of jquery.autoEllipsis was removed from the main search suggest interface in 2014 (56a4aff8ca61106c; T61172). I was surprised that it was re-introduced in the OOjs UI version of the search suggestions on the Special:Search page.

I'd like to deprecate and remove this module from MediaWiki core. It seems the use of it in mw.widgets.TitleOptionWidget is the last one in all Wikimedia Git repos.

Introduced in: rMW26edd30cc610: [BREAKING CHANGE] Merge in VE's link input functionality to title widget

Event Timeline

Krinkle created this task.Mar 17 2017, 11:39 PM
Restricted Application added a project: Discovery. · View Herald TranscriptMar 17 2017, 11:39 PM
Krinkle updated the task description. (Show Details)

Change 343418 had a related patch set uploaded (by Krinkle):
[mediawiki/core] Mark 'jquery.autoElllipsis' module as deprecated

https://gerrit.wikimedia.org/r/343418

Change 343419 had a related patch set uploaded (by Krinkle):
[mediawiki/core] mediawiki.widgets: Remove autoEllipsis() from TitleOptionWidget

https://gerrit.wikimedia.org/r/343419

Change 343418 merged by jenkins-bot:
[mediawiki/core] Mark 'jquery.autoElllipsis' module as deprecated

https://gerrit.wikimedia.org/r/343418

Krinkle claimed this task.Mar 18 2017, 2:51 AM
Krinkle removed a project: Patch-For-Review.
Krinkle closed this task as Resolved.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 18 2017, 2:52 AM
Jdforrester-WMF set the point value for this task to 0.
Jdforrester-WMF reopened this task as Open.Mar 20 2017, 6:45 PM

Not merged -> not Resolved. :-)

Change 343419 merged by jenkins-bot:
[mediawiki/core] mediawiki.widgets: Remove autoEllipsis() from TitleOptionWidget

https://gerrit.wikimedia.org/r/343419

Krinkle closed this task as Resolved.Mar 20 2017, 9:40 PM